Blame astyle.sh

Packit 345191
#!/bin/bash
Packit 345191
#
Packit 345191
#  Copyright (C) 2018 Intel Corporation.
Packit 345191
#  All rights reserved.
Packit 345191
#
Packit 345191
#  Redistribution and use in source and binary forms, with or without
Packit 345191
#  modification, are permitted provided that the following conditions are met:
Packit 345191
#  1. Redistributions of source code must retain the above copyright notice(s),
Packit 345191
#     this list of conditions and the following disclaimer.
Packit 345191
#  2. Redistributions in binary form must reproduce the above copyright notice(s),
Packit 345191
#     this list of conditions and the following disclaimer in the documentation
Packit 345191
#     and/or other materials provided with the distribution.
Packit 345191
#
Packit 345191
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER(S) ``AS IS'' AND ANY EXPRESS
Packit 345191
#  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
Packit 345191
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
Packit 345191
#  EVENT SHALL THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY DIRECT, INDIRECT,
Packit 345191
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
Packit 345191
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
Packit 345191
#  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
Packit 345191
#  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
Packit 345191
#  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
Packit 345191
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
Packit 345191
Packit 345191
ASTYLE_MIN_VER="3.1"
Packit 345191
ASTYLE_OPT="--style=linux --indent=spaces=4 -S -r --max-continuation-indent=80 "
Packit 345191
ASTYLE_OPT+="--max-code-length=80 --break-after-logical --indent-namespaces -z2 "
Packit 345191
ASTYLE_OPT+="--align-pointer=name"
Packit 345191
if ! ASTYLE=$(which astyle)
Packit 345191
then
Packit 345191
    echo "Package astyle was not found. Unable to check source files format policy." >&2
Packit 345191
    exit 1
Packit 345191
fi
Packit 345191
ASTYLE_VER=$(astyle --version 2>&1 | awk '{print $NF}')
Packit 345191
if (( $(echo "$ASTYLE_VER < $ASTYLE_MIN_VER" | bc -l) ));
Packit 345191
then
Packit 345191
    echo "Minimal required version of astyle is $ASTYLE_MIN_VER. Detected version is $ASTYLE_VER" >&2
Packit 345191
    echo "Unable to check source files format policy." >&2
Packit 345191
    exit 1
Packit 345191
fi
Packit 345191
$ASTYLE $ASTYLE_OPT ./*.c,*.cpp,*.h,*.hpp --exclude=jemalloc > astyle.out
Packit 345191
if TEST=$(cat astyle.out | grep -c Formatted)
Packit 345191
then
Packit 345191
    cat astyle.out
Packit 345191
    git --no-pager diff
Packit 345191
    echo "Please fix style issues as shown above"
Packit 345191
    exit 1
Packit 345191
else
Packit 345191
    echo "Source code is compliant with format policy. No style issues were found."
Packit 345191
    exit 0
Packit 345191
fi